Subject: Prices for Clark PUD
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Wed, 8 Nov 2000 00:29:00 -0800 (PST)

Sharpen you pencils,

Clark PUD is out for another RFP to purchase term gas supplies for their 
Combined Cycle (250 MW) plant located in Clark County WA.  The total demand 
for the plant is about 48,000 MMBtu/day peak (30,000 from Sumas and ~17,000 
Stanfield).  

Attached is a template for the response.  I have highlighted in RED the 
sections I would like quotes on.  We will be working with John Griffith on 
the structured transaction sections.  I you have comments let us know.

The RFP is due tomorrow so we would like some feedback today if possible.